Bug 248815 - Review Request: trac-bazaar-plugin - Support for Bazaar source repositories in trac
Review Request: trac-bazaar-plugin - Support for Bazaar source repositories i...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-18 19:04 EDT by Toshio Kuratomi
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.2-2.20070717bzr180
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-09 05:18:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Toshio Kuratomi 2007-07-18 19:04:28 EDT
Spec URL: http://fedorapeople.org/~toshio/packages/trac-bazaar-plugin.spec
SRPM URL: http://fedorapeople.org/~toshio/packages/trac-bazaar-plugin-0.2-1.20070717bzr180.src.rpm

Description: 
This plugin for Trac provides support for the Bazaar SCM.
Comment 1 Jason Tibbitts 2007-07-28 00:06:14 EDT
I guess this looks just like the other two trac SCM plugins already in the distro.

You can probably remove the initial comment from the spec.

The only thing I can complain about is inconsistent macroization (%{__python}
but not %{__rm}).  I vaguely remember something special about python that
exempted it from the usual "consistent use of macros" rule, but I can't recall
the details.  In any case, I trust you to fix things up as appropriate.

* source files match upstream.  Verified manually by generating the tarball 
  according to the instructions in the spec and comparing the contents.
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   trac-bazaar-plugin = 0.2-1.20070717bzr180.fc8
  =
   bzr
   python(abi) = 2.5
   python-setuptools
   trac
* %check is not present; no test suite upstream.  I haven't the means to test 
   this package.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Toshio Kuratomi 2007-07-28 12:36:12 EDT
Thanks tibbs!

(In reply to comment #1)
> 
> You can probably remove the initial comment from the spec.
> 
Done.

> The only thing I can complain about is inconsistent macroization (%{__python}
> but not %{__rm}).  I vaguely remember something special about python that
> exempted it from the usual "consistent use of macros" rule, but I can't recall
> the details.  In any case, I trust you to fix things up as appropriate.
> 
I'm unable to find details either so I made this consistent as well.

> * %check is not present; no test suite upstream.  I haven't the means to test 
   this package.

This is running on the Fedora Infrastructure trac instance ATM::
  https://hosted.fedoraproject.org/projects/packagedb/browser

URLs for packages that will be imported::
  http://fedorapeople.org/~toshio/packages/trac-bazaar-plugin.spec
 
http://fedorapeople.org/~toshio/packages/trac-bazaar-plugin-0.2-2.20070717bzr180.src.rpm

Comment 3 Toshio Kuratomi 2007-07-28 12:39:56 EDT
New Package CVS Request
=======================
Package Name: trac-bazaar-plugin
Short Description: Bazaar plugin for Trac
Owners: toshio@tiki-lounge.com
Branches: FC-6 F-7 EL-5
InitialCC: 
Comment 4 Jason Tibbitts 2007-07-28 12:41:53 EDT
CVS done.
Comment 5 Toshio Kuratomi 2007-08-09 05:18:05 EDT
Package built and pushed to the repository.

Note You need to log in before you can comment on or make changes to this bug.